import 'package:json_annotation/json_annotation.dart';

part 'address.g.dart';

@JsonSerializable()
class Address {
    Address();

    num id;
    String real_name;
    String phone;
    String province;
    String city;
    num city_id;
    String district;
    String detail;
    num post_code;
    String longitude;
    String latitude;
    num is_default;
    
    factory Address.fromJson(Map<String,dynamic> json) => _$AddressFromJson(json);
    Map<String, dynamic> toJson() => _$AddressToJson(this);
}
